import { createVNode as __WEBPACK_EXTERNAL_MODULE_vue_createVNode__, h as __WEBPACK_EXTERNAL_MODULE_vue_h__, mergeProps as __WEBPACK_EXTERNAL_MODULE_vue_mergeProps__ } from "vue";

;// external "vue"

;// ../../node_modules/@babel/runtime/helpers/esm/typeof.js
function _typeof(o) {
  "@babel/helpers - typeof";

  return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) {
    return typeof o;
  } : function (o) {
    return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o;
  }, _typeof(o);
}

;// ../../node_modules/@babel/runtime/helpers/esm/toPrimitive.js

function toPrimitive(t, r) {
  if ("object" != _typeof(t) || !t) return t;
  var e = t[Symbol.toPrimitive];
  if (void 0 !== e) {
    var i = e.call(t, r || "default");
    if ("object" != _typeof(i)) return i;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return ("string" === r ? String : Number)(t);
}

;// ../../node_modules/@babel/runtime/helpers/esm/toPropertyKey.js


function toPropertyKey(t) {
  var i = toPrimitive(t, "string");
  return "symbol" == _typeof(i) ? i : i + "";
}

;// ../../node_modules/@babel/runtime/helpers/esm/defineProperty.js

function _defineProperty(e, r, t) {
  return (r = toPropertyKey(r)) in e ? Object.defineProperty(e, r, {
    value: t,
    enumerable: !0,
    configurable: !0,
    writable: !0
  }) : e[r] = t, e;
}

;// ../../node_modules/@babel/runtime/helpers/esm/objectWithoutPropertiesLoose.js
function _objectWithoutPropertiesLoose(r, e) {
  if (null == r) return {};
  var t = {};
  for (var n in r) if ({}.hasOwnProperty.call(r, n)) {
    if (-1 !== e.indexOf(n)) continue;
    t[n] = r[n];
  }
  return t;
}

;// ../../node_modules/@babel/runtime/helpers/esm/objectWithoutProperties.js

function _objectWithoutProperties(e, t) {
  if (null == e) return {};
  var o,
    r,
    i = _objectWithoutPropertiesLoose(e, t);
  if (Object.getOwnPropertySymbols) {
    var n = Object.getOwnPropertySymbols(e);
    for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]);
  }
  return i;
}

;// ../../packages/icon/icons/icon.tsx



var _excluded = ["data", "name", "width", "height", "fill"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
/*
 * Tencent is pleased to support the open source community by making
 * 蓝鲸智云PaaS平台社区版 (BlueKing PaaS Community Edition) available.
 *
 * Copyright (C) 2025 Tencent.  All rights reserved.
 *
 * 蓝鲸智云PaaS平台社区版 (BlueKing PaaS Community Edition) is licensed under the MIT License.
 *
 * License for 蓝鲸智云PaaS平台社区版 (BlueKing PaaS Community Edition):
 *
 * ---------------------------------------------------
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated
 * documentation files (the "Software"), to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and
 * to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of
 * the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO
 * THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

function generate(node, key, rootAttrs) {
  return __WEBPACK_EXTERNAL_MODULE_vue_h__(node.name, _objectSpread(_objectSpread({
    key: key
  }, node.attributes), {}, {
    style: "".concat(node.attributes.style, " ").concat(rootAttrs || '')
  }), (node.elements || []).map(function (element, index) {
    return generate(element, "".concat(key, "-").concat(node.name, "-").concat(index));
  }));
}
var bkIcon = function bkIcon(props, context) {
  var _context$attrs$props = _objectSpread(_objectSpread({}, context.attrs), props),
    data = _context$attrs$props.data,
    name = _context$attrs$props.name,
    width = _context$attrs$props.width,
    height = _context$attrs$props.height,
    fill = _context$attrs$props.fill,
    restProps = _objectWithoutProperties(_context$attrs$props, _excluded);
  var rootAttrs = "width: ".concat(width, "; height: ").concat(height, "; fill: ").concat(fill);
  var iconBoxStyle = {
    display: 'inline-flex',
    'align-items': 'center',
    'justify-content': 'center'
  };
  return __WEBPACK_EXTERNAL_MODULE_vue_createVNode__("span", __WEBPACK_EXTERNAL_MODULE_vue_mergeProps__({
    "style": iconBoxStyle
  }, restProps), [generate(data, name, rootAttrs)]);
};
bkIcon.inheritAttrs = false;
bkIcon.displayName = 'bkIcon';
/* harmony default export */ const icon = (bkIcon);
;// ../../packages/icon/icons/tree-application-shape.tsx


function tree_application_shape_ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function tree_application_shape_objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? tree_application_shape_ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : tree_application_shape_ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }

var data = JSON.parse('{"type":"element","name":"svg","attributes":{"xmlns":"http://www.w3.org/2000/svg","viewBox":"0 0 1024 1024","style":"width: 1em; height: 1em; vertical-align: middle;fill: currentColor;overflow: hidden;"},"elements":[{"type":"element","name":"path","attributes":{"d":"M432.64 576h156.79999999999998l-79.36-260.48-77.44 260.48z"}},{"type":"element","name":"path","attributes":{"d":"M512 0c-282.75199999999995 0-512 229.248-512 512s229.248 512 512 512c282.75199999999995 0 512-229.248 512-512s-229.248-512-512-512zM681.5999999999999 768h-9.6c-0.042666666666666665 0-0.128 0-0.21333333333333332 0-14.250666666666667 0-26.325333333333333-9.301333333333332-30.464-22.186666666666667l-32.04266666666666-105.81333333333333h-192l-33.28 105.6c-4.1386666666666665 13.994666666666667-16.896 24.02133333333333-32 24.02133333333333-18.389333333333333 0-33.32266666666666-14.933333333333332-33.32266666666666-33.32266666666666 0-3.328 0.46933333333333327-6.485333333333333 1.3653333333333333-9.514666666666667l133.07733333333334-429.82399999999996c9.813333333333333-23.552 32.64-39.808 59.263999999999996-39.808 24.917333333333332 0 46.464 14.208 57.04533333333333 34.986666666666665l134.57066666666665 434.304c1.152 3.157333333333333 1.792 6.784 1.792 10.581333333333333 0 14.890666666666664-10.197333333333333 27.434666666666665-23.97866666666667 30.976z"}}]}');
var treeApplicationShape = function treeApplicationShape(props, context) {
  var p = tree_application_shape_objectSpread(tree_application_shape_objectSpread({}, props), context.attrs);
  return __WEBPACK_EXTERNAL_MODULE_vue_createVNode__(icon, __WEBPACK_EXTERNAL_MODULE_vue_mergeProps__(p, {
    "data": data,
    "name": "treeApplicationShape"
  }), null);
};
treeApplicationShape.displayName = 'treeApplicationShape';
treeApplicationShape.inheritAttrs = false;
/* harmony default export */ const tree_application_shape = (treeApplicationShape);
export { tree_application_shape as default };
